View Issue Details

IDProjectCategoryView StatusLast Update
16240Bug reportsFile managerpublic2020-12-28 12:42
Reporterkoynshaw Assigned Tocdorin  
PrioritynormalSeverityblock 
Status closedResolutionfixed 
Product Version4.2.2 
Fixed in Version4.4.0-RC1 
Summary16240: Two issues in LimeSurveyFileManager.php
DescriptionIn the file application\controllers\admin\LimeSurveyFileManager.php

1. Function checkFolder()
We could detect the value of $sFolderPath or we get an error.

New Code:
if (empty($sFolderPath))
    return $sFolderPath;



2. Function collectCompleteFolderList()
We could change the 'slash' to DIRECTORY_SEPARATOR.

New Code:
$folders[$itrtSsurveyId] = 'upload' . DIRECTORY_SEPARATOR . 'surveys' . DIRECTORY_SEPARATOR . $itrtSsurveyId;



Thank you~
Steps To ReproduceThe first issue, please see the screenshot.
The second issue, is just for MS-Windows.
Additional InformationI am using LimeSurvey 4.2.2 .
TagsNo tags attached.
Complete LimeSurvey version number (& build)4.2.2
I will donate to the project if issue is resolved
Browser-
Database & DB-Version-
Server OS (if known)-
Webserver software & version (if known)-
PHP Version-

Activities

koynshaw

koynshaw

2020-05-07 04:27

reporter  

error_no-folder-num.png (17,501 bytes)   
error_no-folder-num.png (17,501 bytes)   
cdorin

cdorin

2020-12-28 12:42

manager   ~61208

We reverted FIle Manager to Resources (from LS3). Thanks for report!

Issue History

Date Modified Username Field Change
2020-05-07 04:27 koynshaw New Issue
2020-05-07 04:27 koynshaw File Added: error_no-folder-num.png
2020-05-07 11:55 ollehar Project Development => Bug reports
2020-05-07 11:55 ollehar Category Survey taking => Other issues
2020-05-07 12:01 ollehar Category Other issues => _ Unknown
2020-05-07 12:01 ollehar Product Version => 4.2.2
2020-05-07 12:01 ollehar Description Updated View Revisions
2020-05-07 12:01 ollehar Steps to Reproduce Updated View Revisions
2020-05-07 12:01 ollehar Complete LimeSurvey version number (& build) => 4.2.2
2020-05-07 12:01 ollehar Zoho Sprints ID => -
2020-05-07 12:01 ollehar Browser => -
2020-05-07 12:01 ollehar Database & DB-Version => -
2020-05-07 12:01 ollehar Server OS (if known) => -
2020-05-07 12:01 ollehar Webserver software & version (if known) => -
2020-05-07 12:01 ollehar PHP Version => -
2020-05-07 12:18 ollehar Priority none => normal
2020-05-07 12:18 ollehar Severity minor => block
2020-05-11 10:42 ollehar Category _ Unknown => File manager
2020-12-28 12:42 cdorin Assigned To => cdorin
2020-12-28 12:42 cdorin Status new => closed
2020-12-28 12:42 cdorin Resolution open => fixed
2020-12-28 12:42 cdorin Fixed in Version => 4.4.0-RC1
2020-12-28 12:42 cdorin Note Added: 61208